<div id="anfrage">
    <h2>Anfrage</h2>
    <p>
        Bitte haben Sie Verständnis dafür, dass Sie die mit Sternchen (*) gekennzeichneten Felder ausfüllen müssen,
        damit wir mit Ihnen Kontakt aufnehmen können.
    </p>
    <?php
    $eins = rand(20, 30);
    $zwei = rand(1, 10);
    $drei = rand(0, 1);
    if (0 == $drei) {
        $ergebnis = $eins + $zwei;
        $abfrage = $eins . " + " . $zwei . " = ";
    } else {
        $ergebnis = $eins - $zwei;
        $abfrage = $eins . " - " . $zwei . " = ";
    }
    error_reporting(0);

    // *** Deine Mailadresse (Empfänger) ***
    $mail_to = "info@ferienhaus-wille.de";
    // *************************************

    $url = 'index.php?' . $_SERVER['QUERY_STRING'];
    $from_name = $_POST['Name'];
    $from_adress = $_POST['Adresse'];
    $from_plz = $_POST['PLZ'];
    $from_land = $_POST['Land'];
    $from_tel = $_POST['Telefon'];
    $from_an = $_POST['Anreise'];
    $from_ab = $_POST['Abreise'];
    $from_mail = strtolower($_POST['frommail']);
    $mail_subject = $_POST['mailsubject'];
    $from_text = $_POST['mailtext'];
    $send = $_POST['s'];


    if ((int)$_POST['Ergebnis'] !== (int)$_POST['Richtig']) $err_text .= "Falsches Ergebnis!<br />";
    if (trim($from_name) == "") $err_text .= "Bitte den Namen angeben!<br />";
    if (trim($from_adress) == "") $err_text .= "Bitte die Straße und Hausnummer angeben!<br />";
    if (trim($from_plz) == "") $err_text .= "Bitte die Postleitzahl und den Ort angeben!<br />";
    if (trim($from_mail) == "")
        $err_text .= "Bitte die E-Mail-Adresse angeben!<br>";
    else
        if (!preg_match("^[_a-z0-9-]+(\.[_a-z0-9-]+)*@[a-z0-9-]+(\.[a-z0-9-]+)*(\.[a-z]{2,6})$", $from_mail))
            $err_text .= "Bitte eine gueltige E-Mail-Adresse angeben.<br>";
    if (trim($mail_subject) == "") $err_text .= "Bitte einen Betreff eingeben.<br>";

    // *** Zu langen Text abschneiden ***
    if (strlen($mail_text) > 1000) {
        $mail_text = substr($mail_text, 0, 1000) . "... (Text wurde gekuerzt!)";
    }
    $from_name = str_replace(chr(34), "''", $from_name);
    $mail_subject = str_replace(chr(34), "''", $mail_subject);
    $from_name = stripslashes($from_name);
    $from_mail = stripslashes($from_mail);
    $mail_subject = stripslashes($mail_subject);
    $mail_text = stripslashes($mail_text);


    $subject = "Ferienwohnung " . $mail_subject;
    $mail_text = $_POST['Anrede'] . "\n$from_name\n$from_adress\n$from_plz\n$from_land\n\nTelefon: $from_tel\n\nhat folgende Anfrage fuer die Ferienwohnung $mail_subject gestellt:\nAnreise: $from_an\nAbreise: $from_ab\n\nDer Nachrichtentext lautet:\n$from_text\n";
    if ($_POST['Tel'] == "on") {
        $mail_text = $mail_text . "\nDie Kontaktaufnahme ist per Telefon erwuenscht.\n";
    }
    if ($_POST['Datenschutz'] == "on") {
        $mail_text = $mail_text . "\nDie Datenschutzerklaerung wurde gelesen und akzeptiert.\n";
    }
    if ($_POST['AGB'] == "on") {
        $mail_text = $mail_text . "\nDer Interessent hat die AGBs gelesen und bestaetigt.\n";
    }
    if (($send == "1") && (isset($err_text))) {
        echo "<p><big><b>Fehler:</b></big><br>";
        echo "$err_text</p>";
    }
    if (($send != "1") || (isset($err_text))) {
        ?>

        <form action="<?php echo $url; ?>" method="post">
            <label>Anrede:</label>
            <select name="Anrede">
                <option value="Familie">Familie</option>
                <option value="Frau">Frau</option>
                <option value="Herrn">Herrn</option>
            </select>
            <br/>
            <label><b>* Name:</b></label>
            <input type="text" name="Name" value="<?php echo $from_name; ?>">
            <br/>
            <label><b>* Straße + Hausnr.:</b></label>
            <input type="text" name="Adresse" value="<?php echo $from_adress; ?>">
            <br/>
            <label><b>* PLZ + Ort:</b></label>
            <input type="text" name="PLZ" value="<?php echo $from_plz; ?>">
            <br/>
            <label>Land:</label>
            <input type="text" name="Land" value="<?php echo $from_land; ?>">
            <br/>
            <label>Telefon:</label>
            <input type="text" name="Telefon" value="<?php echo $from_tel; ?>">
            <br/>
            <label><b>* E-Mail:</b></label>
            <input type="text" name="frommail" size=50 maxlength=120 value="<?php echo $from_mail; ?>">
            <br/>

            <?php
            if ('gaby' == $_GET['section']) {
                ?>
                <input class="hidden" type="hidden" name="mailsubject" value="Gaby"/>
                <?php
            } elseif ('amelie' == $_GET['section']) {
                ?>
                <input class="hidden" type="hidden" name="mailsubject" value="Amelie"/>
                <?php
            } else {
                ?>
                <label>Wohnung:</label>
                <select name="mailsubject">
                    <option value="Amelie">Amelie</option>
                    <option value="Gaby" <?php if ($mail_subject == "Gaby") echo 'selected="selected"'; ?>>Gaby</option>
                </select>
                <br/>
                <?php
            }
            ?>
            <label>Anreise:</label>
            <input type="text" name="Anreise" value="<?php echo $from_an; ?>"/>
            <br/>
            <label>Abreise:</label>
            <input type="text" name="Abreise" value="<?php echo $from_ab; ?>"/>
            <br/>
            Ich bitte um Rückruf/Kontaktaufname per Telefon<input class="check" type="checkbox" name="Tel"/>
            <br/>
            <input class="hidden" type="hidden" name="s" value="1"/>
            <label>Ihre Nachricht:</label><br/>
            <textarea rows="5" name="mailtext"><?php echo $from_text; ?></textarea>
            <br/>
            Um Spam zu vermeiden bitte folgende Aufgabe lösen:<br/>
            <label><b>* <?php echo $abfrage; ?></b></label>
            <input type="text" name="Ergebnis"/>
            <br/>
            <input class="hidden" type="hidden" name="Richtig" value="<?php echo $ergebnis; ?>"/>
            <br/>Die Datenschutzerklärung finden Sie als separaten Menüpunkt. <br/>
            Die Hinweise zum Datenschutz habe ich gelesen. Ich bin damit einverstanden, dass meine angegebenen Daten nur
            zum Zweck der Bearbeitung der Anfrage gespeichert und weiterverarbeitet werden
            dürfen.<label><b>*</b></label><input class="check" type="checkbox" name="Datenschutz"/><br/>
            <input class="hidden" type="hidden" name="s" value="1"/>
            <input type="submit" class="submit" value="Absenden"/>
            <br/>Ihre Personalien werden von uns VERTRAULICH behandelt und NICHT an Dritte weitergegeben!<br/>
        </form>

        <br/>
        <br/>
        <p>Wir empfehlen den Abschluss einer <a
                href="https://www.reiseversicherung.de/de/versicherung/deutschland/stornoversicherung-deutschland.html"
                target="_blank">Reiserücktrittskostenversicherung</a></p>
        <?php
    } else {
        $header = "From: $from_name <$from_mail>\n";
        $header .= "Reply-To: $from_mail\n";
        $header .= "Mailer: PHP-FormMailer (www.ferienhaus-wille.de)\n";
        $header .= "Content-Type: text/plain";
        $mail_date = gmdate("D, d M Y H:i:s") . " +0000";
        $send = 0;
        if (@mail($mail_to, $subject, $mail_text, $header)) {
            echo "<p><b>Die E-Mail wurde abgesendet.</b></p>";
        } else {
            echo "<p><b>Beim Versenden der E-Mail ist ein Fehler aufgetreten!</b></p>";
        }
    }
    ?>

</div>